# Generated by Django 4.2.5 on 2024-03-15 13:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("openbook_insights", "0013_initiative"),
    ]

    operations = [
        migrations.CreateModel(
            name="RecommendationReaction",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("created", models.DateTimeField(editable=False)),
                ("reaction_type", models.CharField(choices=[("HEART", "Heart")], max_length=20)),
                (
                    "reactor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="recommendation_reactions",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "recommendation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="reactions",
                        to="openbook_insights.recommendation",
                    ),
                ),
            ],
            options={
                "unique_together": {("reactor", "recommendation")},
            },
        ),
        migrations.CreateModel(
            name="QuoteReaction",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("created", models.DateTimeField(editable=False)),
                ("reaction_type", models.CharField(choices=[("HEART", "Heart")], max_length=20)),
                (
                    "quote",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="reactions",
                        to="openbook_insights.quote",
                    ),
                ),
                (
                    "reactor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="quote_reactions",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "unique_together": {("reactor", "quote")},
            },
        ),
        migrations.CreateModel(
            name="InitiativeReaction",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("created", models.DateTimeField(editable=False)),
                ("reaction_type", models.CharField(choices=[("HEART", "Heart")], max_length=20)),
                (
                    "initiative",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="reactions",
                        to="openbook_insights.initiative",
                    ),
                ),
                (
                    "reactor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="initiative_reactions",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "unique_together": {("reactor", "initiative")},
            },
        ),
    ]
